ChangeSet 1.1237, 2003/06/18 16:53:54-07:00, nicolas@dupeux.net

[PATCH] USB: UNUSUAL_DEV for aiptek pocketcam

Here is the unusual_dev entry i'm using to get my digital camera.


diff -cr linux/drivers/usb/storage/unusual_devs.h linux_vaxvms/drivers/usb/storage/unusual_devs.h
*** linux/drivers/usb/storage/unusual_devs.h	2003-03-14 21:32:46.000000000 +0100


 drivers/usb/storage/unusual_devs.h |   10 ++++++++++
 1 files changed, 10 insertions(+)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Wed Jun 18 17:35:31 2003
+++ b/drivers/usb/storage/unusual_devs.h	Wed Jun 18 17:35:31 2003
@@ -655,3 +655,13 @@
 		US_SC_SCSI, US_PR_SDDR55, NULL,
 		US_FL_SINGLE_LUN),
 #endif
+
+/* Aiptek PocketCAM 3Mega
+ * Nicolas DUPEUX <nicolas@dupeux.net> 
+ */
+UNUSUAL_DEV(  0x08ca, 0x2011, 0x0000, 0x9999,
+	"AIPTEK",
+	"PocketCAM 3Mega",
+	US_SC_SCSI, US_PR_BULK, NULL,
+	US_FL_MODE_XLATE | US_FL_START_STOP),
+
